# Generated by Django 2.0.1 on 2018-01-31 16:43

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import app.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('app', '0039_auto_20180131_1743'),
    ]

    operations = [
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sequence_number', models.IntegerField(editable=False, verbose_name='numéro de séquence')),
                ('due_date', models.DateField(default=app.models.get_default_document_due_date, verbose_name="date d'échéance")),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('motive', models.CharField(max_length=200, verbose_name='motif')),
                ('details', models.TextField(verbose_name='details')),
                ('enquirer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='applications', to=settings.AUTH_USER_MODEL, verbose_name='demandeur')),
            ],
            options={
                'verbose_name': 'demande',
                'verbose_name_plural': 'demandes',
            },
        ),
        migrations.CreateModel(
            name='ApplicationDocument',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(upload_to='', verbose_name='fichier')),
            ],
        ),
        migrations.CreateModel(
            name='ApplicationDocumentType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='nom')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'type de document',
                'verbose_name_plural': 'types de document',
            },
        ),
        migrations.CreateModel(
            name='ApplicationLine',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=500, verbose_name='libellé')),
                ('unit_price', models.DecimalField(decimal_places=3, default=0.0, help_text='Max : 999999999,999', max_digits=9, verbose_name='prix unitaire')),
                ('including_vat_fixed', models.BooleanField(default=True, help_text='Sinon on considère le prix HT fixé', verbose_name='prix TTC fixé')),
                ('quantity', models.DecimalField(decimal_places=3, default=1.0, help_text='Max : 999999999,999', max_digits=9, verbose_name='quantité')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('type', models.CharField(choices=[('ME', 'Articles'), ('FU', 'Carburant'), ('KM', 'Frais kilométriques')], default='ME', max_length=3, verbose_name='type')),
                ('application', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='application_lines', to='demands.Application', verbose_name='demande')),
                ('vat_rate', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='application_lines', to='app.VatRate', verbose_name='taux de TVA')),
            ],
            options={
                'verbose_name': 'ligne',
                'verbose_name_plural': 'lignes',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ApplicationPrefix',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=20, verbose_name='valeur')),
                ('activated', models.BooleanField(default=True, verbose_name='actif')),
                ('current_sequence_number', models.IntegerField(default=0, verbose_name='numéro de séquence courant')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'préfixe demande',
                'verbose_name_plural': 'préfixes demande',
            },
        ),
        migrations.CreateModel(
            name='ApplicationType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='nom')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'type demande',
                'verbose_name_plural': 'type demande',
            },
        ),
        migrations.CreateModel(
            name='PaymentMethod',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='nom')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'méthode de paiement',
                'verbose_name_plural': 'méthodes de paiement',
            },
        ),
        migrations.CreateModel(
            name='RequestForApproval',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('approved', models.BooleanField(default=False, verbose_name='approuvé')),
                ('application', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='requests_for_approval', to='demands.Application', verbose_name='demande')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='requests_for_approval', to=settings.AUTH_USER_MODEL, verbose_name='utilisateur')),
            ],
            options={
                'verbose_name': "requête d'approbation",
                'verbose_name_plural': "requêtes d'approbation",
            },
        ),
        migrations.CreateModel(
            name='Supplier',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='nom')),
                ('address', models.TextField(blank=True, verbose_name='adresse')),
                ('zip_code', models.CharField(max_length=10, verbose_name='code postal')),
                ('city', models.CharField(max_length=100, verbose_name='ville')),
                ('country', models.CharField(blank=True, max_length=100, verbose_name='pays')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('activated', models.BooleanField(default=True, verbose_name='actif')),
            ],
            options={
                'verbose_name': 'fournisseur',
                'verbose_name_plural': 'fournisseurs',
            },
        ),
        migrations.AddField(
            model_name='applicationprefix',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='prefixes', to='demands.ApplicationType'),
        ),
        migrations.AddField(
            model_name='applicationdocument',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='demands.ApplicationDocumentType', verbose_name='type de document'),
        ),
        migrations.AddField(
            model_name='application',
            name='payment_method',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='applications', to='demands.PaymentMethod', verbose_name='méthode de paiement'),
        ),
        migrations.AddField(
            model_name='application',
            name='prefix',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='applications', to='demands.ApplicationPrefix', verbose_name='préfixe'),
        ),
        migrations.AddField(
            model_name='application',
            name='supplier',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='applications', to='demands.Supplier', verbose_name='fournisseur'),
        ),
    ]
